curl --request PUT \
--url https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": {},
"description": {},
"pricing": [
{
"ruleId": "<string>",
"price": {
"amount": 1,
"currency": "<string>"
},
"country": "<string>",
"state": "<string>",
"postalCodes": [
"<string>"
]
}
],
"creditCount": 1,
"discountPercent": 50,
"validityDays": 1,
"capacity": 1
}
'import requests
url = "https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}"
payload = {
"name": {},
"description": {},
"pricing": [
{
"ruleId": "<string>",
"price": {
"amount": 1,
"currency": "<string>"
},
"country": "<string>",
"state": "<string>",
"postalCodes": ["<string>"]
}
],
"creditCount": 1,
"discountPercent": 50,
"validityDays": 1,
"capacity": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {},
description: {},
pricing: [
{
ruleId: '<string>',
price: {amount: 1, currency: '<string>'},
country: '<string>',
state: '<string>',
postalCodes: ['<string>']
}
],
creditCount: 1,
discountPercent: 50,
validityDays: 1,
capacity: 1
})
};
fetch('https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => [
],
'description' => [
],
'pricing' => [
[
'ruleId' => '<string>',
'price' => [
'amount' => 1,
'currency' => '<string>'
],
'country' => '<string>',
'state' => '<string>',
'postalCodes' => [
'<string>'
]
]
],
'creditCount' => 1,
'discountPercent' => 50,
'validityDays' => 1,
'capacity' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}"
payload := strings.NewReader("{\n \"name\": {},\n \"description\": {},\n \"pricing\": [\n {\n \"ruleId\": \"<string>\",\n \"price\": {\n \"amount\": 1,\n \"currency\": \"<string>\"\n },\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCodes\": [\n \"<string>\"\n ]\n }\n ],\n \"creditCount\": 1,\n \"discountPercent\": 50,\n \"validityDays\": 1,\n \"capacity\": 1\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": {},\n \"description\": {},\n \"pricing\": [\n {\n \"ruleId\": \"<string>\",\n \"price\": {\n \"amount\": 1,\n \"currency\": \"<string>\"\n },\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCodes\": [\n \"<string>\"\n ]\n }\n ],\n \"creditCount\": 1,\n \"discountPercent\": 50,\n \"validityDays\": 1,\n \"capacity\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": {},\n \"description\": {},\n \"pricing\": [\n {\n \"ruleId\": \"<string>\",\n \"price\": {\n \"amount\": 1,\n \"currency\": \"<string>\"\n },\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCodes\": [\n \"<string>\"\n ]\n }\n ],\n \"creditCount\": 1,\n \"discountPercent\": 50,\n \"validityDays\": 1,\n \"capacity\": 1\n}"
response = http.request(request)
puts response.read_body{
"data": {
"entityType": "SERVICE_PACKAGE",
"projectId": "<string>",
"serviceId": "<string>",
"offeringId": "<string>",
"packageId": "<string>",
"pricingModel": "PER_SESSION",
"pricing": [
{
"ruleId": "<string>",
"scope": "DEFAULT",
"price": {
"amount": 1,
"currency": "<string>"
},
"country": "<string>",
"state": "<string>",
"postalCodes": [
"<string>"
],
"tax": {
"taxable": true,
"taxPercentage": 1
}
}
],
"creditCount": 1,
"validityDays": 1,
"status": "DRAFT",
"capacity": 1,
"deleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"name": {},
"description": {},
"discountPercent": 50
}
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}Update a package
A partial update: only the fields you send change. Editing pricing or creditCount affects future purchases ONLY — every order item already placed snapshots the package at purchase time, so repricing never disturbs credits a client has already bought and never retro-bills them. pricing is revalidated in full against the hierarchy rules, so send the complete rule set including its DEFAULT, not just the region you are changing. Neither the offering nor the service can be reassigned here; build a new package instead. Status is set through POST /packages//status, not here.
curl --request PUT \
--url https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": {},
"description": {},
"pricing": [
{
"ruleId": "<string>",
"price": {
"amount": 1,
"currency": "<string>"
},
"country": "<string>",
"state": "<string>",
"postalCodes": [
"<string>"
]
}
],
"creditCount": 1,
"discountPercent": 50,
"validityDays": 1,
"capacity": 1
}
'import requests
url = "https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}"
payload = {
"name": {},
"description": {},
"pricing": [
{
"ruleId": "<string>",
"price": {
"amount": 1,
"currency": "<string>"
},
"country": "<string>",
"state": "<string>",
"postalCodes": ["<string>"]
}
],
"creditCount": 1,
"discountPercent": 50,
"validityDays": 1,
"capacity": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {},
description: {},
pricing: [
{
ruleId: '<string>',
price: {amount: 1, currency: '<string>'},
country: '<string>',
state: '<string>',
postalCodes: ['<string>']
}
],
creditCount: 1,
discountPercent: 50,
validityDays: 1,
capacity: 1
})
};
fetch('https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => [
],
'description' => [
],
'pricing' => [
[
'ruleId' => '<string>',
'price' => [
'amount' => 1,
'currency' => '<string>'
],
'country' => '<string>',
'state' => '<string>',
'postalCodes' => [
'<string>'
]
]
],
'creditCount' => 1,
'discountPercent' => 50,
'validityDays' => 1,
'capacity' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}"
payload := strings.NewReader("{\n \"name\": {},\n \"description\": {},\n \"pricing\": [\n {\n \"ruleId\": \"<string>\",\n \"price\": {\n \"amount\": 1,\n \"currency\": \"<string>\"\n },\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCodes\": [\n \"<string>\"\n ]\n }\n ],\n \"creditCount\": 1,\n \"discountPercent\": 50,\n \"validityDays\": 1,\n \"capacity\": 1\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": {},\n \"description\": {},\n \"pricing\": [\n {\n \"ruleId\": \"<string>\",\n \"price\": {\n \"amount\": 1,\n \"currency\": \"<string>\"\n },\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCodes\": [\n \"<string>\"\n ]\n }\n ],\n \"creditCount\": 1,\n \"discountPercent\": 50,\n \"validityDays\": 1,\n \"capacity\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiv2.gomarketbox.com/v1/projects/{projectId}/packages/{packageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": {},\n \"description\": {},\n \"pricing\": [\n {\n \"ruleId\": \"<string>\",\n \"price\": {\n \"amount\": 1,\n \"currency\": \"<string>\"\n },\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCodes\": [\n \"<string>\"\n ]\n }\n ],\n \"creditCount\": 1,\n \"discountPercent\": 50,\n \"validityDays\": 1,\n \"capacity\": 1\n}"
response = http.request(request)
puts response.read_body{
"data": {
"entityType": "SERVICE_PACKAGE",
"projectId": "<string>",
"serviceId": "<string>",
"offeringId": "<string>",
"packageId": "<string>",
"pricingModel": "PER_SESSION",
"pricing": [
{
"ruleId": "<string>",
"scope": "DEFAULT",
"price": {
"amount": 1,
"currency": "<string>"
},
"country": "<string>",
"state": "<string>",
"postalCodes": [
"<string>"
],
"tax": {
"taxable": true,
"taxPercentage": 1
}
}
],
"creditCount": 1,
"validityDays": 1,
"status": "DRAFT",
"capacity": 1,
"deleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"name": {},
"description": {},
"discountPercent": 50
}
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}Authorizations
API key minted in the MarketBox dashboard. Scope is restricted to the projects you select at creation time. Every route needs the key's standard API access (*) except POST /v1/projects/{projectId}/events, which needs events:write; a key without * is refused with 403 CAPABILITY_NOT_GRANTED.
Path Parameters
Body
Update data
Percentage discount (0-100) recorded when this package's prices were seeded from the offering's prices (price = offering price * creditCount * (1 - discountPercent/100)). Informational metadata only: pricing is the authoritative source of the amounts charged. Individual prices can be manually overridden after seeding, and the offering's prices may change later, so this value is not guaranteed to match the actual prices - never derive amounts from it.
0 <= x <= 100